Subject: bug#7434: When an incorrect option is used before --help/--version, automake behaviour is inconsistent with that of other GNU programs.

From: Stefano Lattarini <[email-masked]>
Date: Fri, 19 Nov 2010 11:22:40 +0100

On Thursday 18 November 2010, Stefano Lattarini wrote:
> On Thursday 18 November 2010, Ralf Wildenhues wrote:
>
> > I think --help should work whereever it is put on a command line,
> > except after -- or right after an option which requires an argument
>
> I disagree; that would complicate the implementation without providing
> any real advantage for the users IMHO.
> 
> > The point being that I type
> > 
> > $ foo --zork --barf
> > foo: blabla error, see --help
> > 
> > and then type <up><space>--help<enter> to find out more.
> Or type <up><ctrl-a><alt-f><space>--help<enter> to find out more.
> Or even type "foo --help" to find out more.  These are not much
> more complex or lacking in usability, IMHO.
>
Besides, in the particular case of automake, how often do automake
or aclocal get invoked directly?  To my experience, they are almost
always invoked by autoreconf, ./bootstrap, or some custom autogen.sh
script.
  
> > Let's address this on bug-standards before changing any programs.
>
> I'm not subscribed to that list, so please CC me if you want me to
> contribute to the discussion.  Thanks.
>
FYI, now I've subscribed to the list, so there' no need to CC me
anymore.

Thanks,
   Stefano